'use strict';
function LanguageController($scope, ScreenService, templateManager){
        
    $scope.languageConstructor = function() {
        const language = JSON.parse(localStorage.getItem('language')) || 'pt_br';

        document.getElementsByClassName('flag-selected')[0].classList.add("flag");
        document.getElementsByClassName('flag-selected')[0].classList.remove("flag-selected");

        document.getElementsByName(language)[0].classList.add("flag-selected");
        document.getElementsByName(language)[0].classList.remove("flag");
    };
    
    function removeSelectedFlag() {
        document.getElementsByClassName('flag-selected')[0].classList.add("flag");
        document.getElementsByClassName('flag-selected')[0].classList.remove("flag-selected");
    };

    function selectFlag(e) {
        removeSelectedFlag();
        e.target.classList.add("flag-selected");
        e.target.classList.remove("flag");
    };
    
    $scope.translate = function (e) {
        localStorage.setItem('language', e.target.name);
        selectFlag(e);
        ScreenService.setLanguage(e.target.name).then(function() {
            templateManager.container.getWidget('login').redraw();
        });
    };
}
